Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.customer
Interface CustomerManager

Deprecated. The CustomerManger interface has been deprecated and will not be supported in version 2.0

public interface CustomerManager
extends Session

The customer manager manages the life cycle of a customer.

See Also:
  `CustomerManagerHome`, `CustomerManagerImpl`

Method Summary
`Customer` | `authenticateCustomer(java.lang.String customerKey, java.lang.String password)` Deprecated. Finds the customer, using the user supplied key, and checks that the password matches with the parameter.
`Customer` | `createCustomer(java.lang.String customerKey)` Deprecated. Creates new customer with the specified customer key and returns a reference.
`void` | `deleteCustomer(java.lang.String customerKey)` Deprecated. Remove the specified customer from the system.
`Customer` | `findCustomer(java.lang.String customerKey)` Deprecated. Finds the customer by key and returns a reference.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### authenticateCustomer

    public Customer authenticateCustomer(java.lang.String customerKey,
                                         java.lang.String password)
                                  throws java.rmi.RemoteException,
                                         FinderException

  Deprecated.
  Finds the customer, using the user supplied key, and checks that the password matches with the parameter. A reference to the customer that was specified in the customerKey is returned.

### findCustomer

    public Customer findCustomer(java.lang.String customerKey)
                          throws java.rmi.RemoteException,
                                 FinderException

  Deprecated.
  Finds the customer by key and returns a reference.

### createCustomer

    public Customer createCustomer(java.lang.String customerKey)
                            throws java.rmi.RemoteException,
                                   javax.naming.NamingException,
                                   CreateException

  Deprecated.
  Creates new customer with the specified customer key and returns a reference. If the customer already exists an exception is thrown. The Customer is created with default values and the client then sets the attributes by directly accessing the customer.

### deleteCustomer

    public void deleteCustomer(java.lang.String customerKey)
                        throws java.rmi.RemoteException

  Deprecated.
  Remove the specified customer from the system.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.